| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Friends | List of all members
cv::viz::Widget Class Reference
3D Visualizer » Widget

Base class of all widgets. Widget is implicitly shared. More...

`#include <opencv2/viz/widgets.hpp>`

Collaboration diagram for cv::viz::Widget:

## Public Member Functions
| Widget ()
| Widget (const Widget &other)
virtual | ~Widget ()
template<typename _W >
_W | cast () const
| Casts a widget to another.
template<>
Widget2D | cast () const
| Utility exports.
template<>
Widget3D | cast () const
template<>
WLine | cast () const
template<>
WPlane | cast () const
template<>
WSphere | cast () const
template<>
WCylinder | cast () const
template<>
WArrow | cast () const
template<>
WCircle | cast () const
template<>
WCone | cast () const
template<>
WCube | cast () const
template<>
WCoordinateSystem | cast () const
template<>
WPolyLine | cast () const
template<>
WGrid | cast () const
template<>
WText3D | cast () const
template<>
WText | cast () const
template<>
WImageOverlay | cast () const
template<>
WImage3D | cast () const
template<>
WCameraPosition | cast () const
template<>
WTrajectory | cast () const
template<>
WTrajectoryFrustums | cast () const
template<>
WTrajectorySpheres | cast () const
template<>
WCloud | cast () const
template<>
WPaintedCloud | cast () const
template<>
WCloudCollection | cast () const
template<>
WCloudNormals | cast () const
template<>
WMesh | cast () const
template<>
WWidgetMerger | cast () const
double | getRenderingProperty (int property) const
| Returns rendering property of the widget.
Widget & | operator= (const Widget &other)
void | setRenderingProperty (int property, double value)
| Sets rendering property of the widget.

## Static Public Member Functions
static Widget | fromPlyFile (const String &file_name)
| Creates a widget from ply file.

## Friends
struct | WidgetAccessor

## Detailed Description

Base class of all widgets. Widget is implicitly shared.

## Constructor & Destructor Documentation

## ◆ Widget() [1/2]

cv::viz::Widget::Widget | ( |  | ) |

## ◆ Widget() [2/2]

cv::viz::Widget::Widget | ( | const Widget & | other | ) |

## ◆ ~Widget()

virtual cv::viz::Widget::~Widget | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ cast() [1/27]

template<typename _W >

_W cv::viz::Widget::cast | ( |  | ) | const

Casts a widget to another.

// Create a sphere widget
viz::WSphere sw(Point3f(0.0f,0.0f,0.0f), 0.5f);
// Cast sphere widget to cloud widget
viz::WCloud cw = sw.cast<viz::WCloud>();
cv::viz::WCloud
Clouds.
Definition widgets.hpp:681
cv::viz::WSphere
This 3D Widget defines a sphere. :
Definition widgets.hpp:274
cv::viz::Widget::cast
_W cast() const
Casts a widget to another.
cv::Point3f
Point3_< float > Point3f
Definition types.hpp:290

Note
  3D Widgets can only be cast to 3D Widgets. 2D Widgets can only be cast to 2D Widgets.

## ◆ cast() [2/27]

template<>

Widget3D cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [3/27]

template<>

WLine cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [4/27]

template<>

WPlane cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [5/27]

template<>

WSphere cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [6/27]

template<>

WCylinder cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [7/27]

template<>

WArrow cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [8/27]

template<>

WCircle cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [9/27]

template<>

WCone cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [10/27]

template<>

WCube cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [11/27]

template<>

WCoordinateSystem cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [12/27]

template<>

WPolyLine cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [13/27]

template<>

WGrid cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [14/27]

template<>

WText3D cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [15/27]

template<>

WText cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [16/27]

template<>

WImageOverlay cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [17/27]

template<>

WImage3D cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [18/27]

template<>

WCameraPosition cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [19/27]

template<>

WTrajectory cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [20/27]

template<>

WTrajectoryFrustums cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [21/27]

template<>

WTrajectorySpheres cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [22/27]

template<>

WCloud cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [23/27]

template<>

WPaintedCloud cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [24/27]

template<>

WCloudCollection cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [25/27]

template<>

WCloudNormals cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [26/27]

template<>

WMesh cv::viz::Widget::cast | ( |  | ) | const

## ◆ cast() [27/27]

template<>

WWidgetMerger cv::viz::Widget::cast | ( |  | ) | const

## ◆ fromPlyFile()

static Widget cv::viz::Widget::fromPlyFile | ( | const String & | file_name | ) |
| static

Creates a widget from ply file.

Parameters

  file_name | Ply file name.

## ◆ getRenderingProperty()

double cv::viz::Widget::getRenderingProperty | ( | int | property | ) | const

Returns rendering property of the widget.

Parameters

  property | Property.

Rendering property can be one of the following:

- POINT_SIZE
- OPACITY
- LINE_WIDTH
- FONT_SIZE
- AMBIENT

REPRESENTATION: Expected values are

- REPRESENTATION_POINTS
- REPRESENTATION_WIREFRAME

- REPRESENTATION_SURFACE

  IMMEDIATE_RENDERING**:

- Turn on immediate rendering by setting the value to 1.
- Turn off immediate rendering by setting the value to 0.

SHADING: Expected values are

- SHADING_FLAT
- SHADING_GOURAUD
- SHADING_PHONG

## ◆ operator=()

Widget & cv::viz::Widget::operator= | ( | const Widget & | other | ) |

## ◆ setRenderingProperty()

void cv::viz::Widget::setRenderingProperty | ( | int | property,
|  | double | value )

Sets rendering property of the widget.

Parameters

  property | Property that will be modified.
  value | The new value of the property.

Rendering property can be one of the following:

- POINT_SIZE
- OPACITY
- LINE_WIDTH
- FONT_SIZE

REPRESENTATION: Expected values are

- REPRESENTATION_POINTS
- REPRESENTATION_WIREFRAME
- REPRESENTATION_SURFACE

IMMEDIATE_RENDERING:

- Turn on immediate rendering by setting the value to 1.
- Turn off immediate rendering by setting the value to 0.

SHADING: Expected values are

- SHADING_FLAT
- SHADING_GOURAUD
- SHADING_PHONG

## Friends And Related Symbol Documentation

## ◆ WidgetAccessor

friend struct WidgetAccessor
| friend

The documentation for this class was generated from the following file:

- opencv2/viz/widgets.hpp